This is the mail archive of the lvm2-cvs@sourceware.org mailing list for the LVM2 project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

LVM2/test test-utils.sh


CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	mbroz@sourceware.org	2010-12-09 11:19:21

Modified files:
	test           : test-utils.sh 

Log message:
	Try to detect fail in clvmd startup in tests.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/test/test-utils.sh.diff?cvsroot=lvm2&r1=1.55&r2=1.56

--- LVM2/test/test-utils.sh	2010/10/29 16:43:52	1.55
+++ LVM2/test/test-utils.sh	2010/12/09 11:19:21	1.56
@@ -77,6 +77,10 @@
 
 	clvmd -Isinglenode -d 1 &
 	LOCAL_CLVMD="$!"
+
+	# check that it is really running now
+	sleep .1
+	ps $LOCAL_CLVMD || exit 200
 }
 
 prepare_dmeventd() {
@@ -396,6 +400,7 @@
     locking_dir = "$TESTDIR/var/lock/lvm"
     $locktype
     si_unit_consistency = 1
+    fallback_to_local_locking = 0
   }
   activation {
     udev_sync = 1


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]